package com.gci.boot.modules.gis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.gis.entity.TbGisSpeedingThreshold;

/**
 * <p>
 * 超速阈值设置 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-12-25
 */
public interface ITbGisSpeedingThresholdService extends IService<TbGisSpeedingThreshold> {

    void saveItem(TbGisSpeedingThreshold tbGisSpeedingThreshold);

    void updateItem(TbGisSpeedingThreshold tbGisSpeedingThreshold);

    /**
     * 作废
     * @param id
     */
    void cancel(String id);

    /**
     * 恢复
     * @param id
     */
    void unCancel(String id);

    /**
     * 删除
     * @param id
     */
    void removeItem(String id);

    /**
     * 重新计算数据
     */
    void rel();
}
